services:
    App\Menu\AdminBuilder:
        arguments:
            - '@knp_menu.factory'
            - '@request_stack'
            - '@translator'
            - '@doctrine.orm.default_entity_manager'

    app.menu.admin:
        class: Knp\Menu\MenuItem
        factory: ['@App\Menu\AdminBuilder', menu]
        tags:
            - { name: knp_menu.menu, alias: admin }
